%if 0%{?suse_version}
%define		docroot	/srv/www
%else
%define		docroot /var/www
%endif

Name:		Snorby
Version:	2.6.2
Release:	2.11
License:	GPLv3
Url:		http://www.snorby.org
Summary:	Snort IDS webfrontend
Group:		System/Security
Source0:	%{name}-%{version}.tar.bz2
Source1:	snorby.init
Source2:	snorby.sysconfig
Source3:	README.SuSE
Source4:	README.passenger-example
Patch0:		%{name}-gemfile-%{version}.patch
Patch1:		%{name}-gemfile-passenger.patch
Patch2:		%{name}-2.6.2_morecleanups.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

%if 0%{?suse_version}
PreReq:		%fillup_prereq
%endif

%if 0%{?suse_version} > 1020
BuildRequires:  fdupes
%endif
BuildRequires:	ruby-macros >= 1
BuildRequires:	ruby19 >= 1.9.2
BuildRequires:	ruby19-devel >= 1.9.2
BuildRequires:	wkhtmltopdf
BuildRequires:	ImageMagick >= 6.6.4
# required for: cd /srv/www/Snorby ; bundle install --path vendor/cache
BuildRequires:  rubygem(1.9.1:bundler)

# needed to build passenger
Requires:	boost-devel
Requires:	apache2-devel
Requires:	curl-devel

Requires:	ruby19 >= 1.9.2
Requires:	ruby19-devel >= 1.9.2
Requires:	wkhtmltopdf
Requires:	ImageMagick >= 6.6.4
Requires:	java-1_6_0-ibm
# required for: cd /srv/www/Snorby ; bundle install --path vendor/cache
Requires:	rubygem(1.9.1:bundler)
# recommended for build of passenger apache module
Requires:	rubygem(1.9.1:rack)
Requires:	libxml2-devel
Requires:	libxslt-devel
Requires:	mysql-devel
Requires:	ImageMagick-devel >= 6.6.4
Requires:	libMagick++-devel >= 6.6.4
Requires:	libbz2-devel
Requires:	git gcc gcc-c++

%description
Snorby is a new and modern Snort IDS front-end.
The basic fundamental concepts behind snorby are simplicity and power.
The project goal is to create a free, open source and highly competitive
application for network monitoring for both private and enterprise use.

%prep
%setup -n %{name}-%{version}
%patch0
%patch1
%patch2
# upstream patches

%build

%install
%__install -d %{buildroot}%{docroot}/Snorby
find . -type f -iname .git\* -exec rm {} \;
cp -R * %{buildroot}%{docroot}/Snorby/
cp %{S:3} . 
cp %{S:4} .
%if 0%{?suse_version} > 1020
%fdupes %{buildroot}%{docroot}/Snorby
%endif
%__install -d %{buildroot}%{_sysconfdir}/init.d
%if 0%{?suse_version}
%__install -d %{buildroot}/var/adm/fillup-templates
%__install -m0644 %{S:2} %{buildroot}/var/adm/fillup-templates/sysconfig.snorby
%else
%__install -d %{buildroot}%{_sysconfdir}/sysconfig
%__install -m0644 %{S:2} %{buildroot}%{_sysconfdir}/sysconfig/snorby
%endif
%__install -d %{buildroot}%{_sbindir}
%__install -m0755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/snorby
cd %{buildroot}%{_sbindir}
ln -s ../../%{_sysconfdir}/init.d/snorby rcsnorby
find %{buildroot} . -iname \*.orig -exec rm {} \;

%clean
rm -rf %{buildroot}

%post
%if 0%{?suse_version}
%fillup_only -n snorby
if [ -x /usr/bin/bundle ] ; then
	cd /srv/www/Snorby
	/usr/bin/bundle install --path=vendor/cache || :
fi
%endif

%postun
%if 0%{?suse_version}
%insserv_cleanup
%endif

%preun
%if 0%{?suse_version}
%stop_on_removal snorby
%endif

%files
%defattr(-,root,root)
%doc README.md README.SuSE README.passenger-example
##%config(noreplace) %{docroot}/%{name}/config/database.yml
##%config(noreplace) %{docroot}/%{name}/config/snorby_config.yml
%config(noreplace) %{docroot}/%{name}/config/initializers/mail_config.rb
%{docroot}/%{name}
%{_sysconfdir}/init.d/snorby
%{_sbindir}/rcsnorby
%if 0%{?suse_version}
/var/adm/fillup-templates/sysconfig.snorby
%else
%{_sysconfdir}/sysconfig/snorby
%endif

%changelog
* Fri Oct 10 2014 cs@linux-administrator.com
- add Snorby-2.6.2_morecleanups.patch
* Sat May 25 2013 cs@linux-administrator.com
- update to release 2.6.2
* Sat May  4 2013 cs@linux-administrator.com
- update to release 2.6.1
* Mon Apr 15 2013 cs@linux-administrator.com
- update to release 2.6.0
* Mon Jan 28 2013 cs@linux-administrator.com
- update to release 2.5.6
* Sun Jan 20 2013 cs@linux-administrator.com
- update to use only ruby1.9 and rubygem-bundler
* Thu Jan 10 2013 cs@linux-administrator.com
- update to release 2.5.4
* Sat Dec 15 2012 cs@linux-administrator.com
- update to release 2.5.3
* Thu Oct  4 2012 cs@linux-administrator.com
- update to release 2.5.2
* Sun Apr 15 2012 cs@linux-administrator.com
- update to release 2.5.1
* Sun Dec  4 2011 cs@linux-administrator.com
- update to release 2.3.11
* Sat Oct 22 2011 cs@linux-administrator.com
- update to release 2.3.10
* Sun Oct 16 2011 cs@linux-administrator.com
- added Snorby-gemfile.patch (fixes git access to gems)
* Sun Oct  9 2011 cs@linux-administrator.com
- update to release 2.3.9
* Tue Feb 22 2011 cs@linux-administrator.com
- update to release 2.2.4
